
From: Johannes Stezenbach <js@linuxtv.org>

Fixed DiSeqC switching, which was wrongly taking over from skystar2.c.  Thanks
to Joerg Riechardt for finding the bug and testing the Fix.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/b2c2/flexcop-fe-tuner.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/b2c2/flexcop-fe-tuner.c~dvb-flexcop-diseqc-fix drivers/media/dvb/b2c2/flexcop-fe-tuner.c
--- 25/drivers/media/dvb/b2c2/flexcop-fe-tuner.c~dvb-flexcop-diseqc-fix	2005-05-14 02:32:17.000000000 -0700
+++ 25-akpm/drivers/media/dvb/b2c2/flexcop-fe-tuner.c	2005-05-14 02:32:17.000000000 -0700
@@ -79,8 +79,8 @@ static int flexcop_set_tone(struct dvb_f
 
 	v.lnb_switch_freq_200.LNB_CTLPrescaler_sig = 1; /* divide by 2 */
 
-	v.lnb_switch_freq_200.LNB_CTLHighCount_sig =
-		v.lnb_switch_freq_200.LNB_CTLLowCount_sig  = ax;
+	v.lnb_switch_freq_200.LNB_CTLHighCount_sig = ax;
+	v.lnb_switch_freq_200.LNB_CTLLowCount_sig  = ax == 0 ? 0x1ff : ax;
 
 	return fc->write_ibi_reg(fc,lnb_switch_freq_200,v);
 }
_
